Bug 814733 - Verify that the RHQ/JON plugin works
Verify that the RHQ/JON plugin works
Status: VERIFIED
Product: JBoss Data Grid 6
Classification: JBoss
Component: Server (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 6.0.0
Assigned To: Tristan Tarrant
Martin Gencur
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-20 10:52 EDT by Tristan Tarrant
Modified: 2015-02-05 20:19 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Steps performed to test JON with JDG (1.75 KB, application/octet-stream)
2012-05-09 08:15 EDT, Martin Gencur
no flags Details

  None (edit)
Description Tristan Tarrant 2012-04-20 10:52:43 EDT

    
Comment 1 Martin Gencur 2012-05-09 08:15:12 EDT
I was not able to find JDG server in JON discovery queue nor was able to add it manually into the view. 

Attaching steps performed to test JON+JDG integration.

Tested with bits downloaded from https://brewweb.devel.redhat.com/taskinfo?taskID=4372294

Findings:

- JON was able to discover running EAP6 ER6 and AS7.1.1 but was not able to discover running JDG ER7
- when trying to add the server manually to JON's inventory, the server throws the following exception when localhost/9990 connection information specified:

java.lang.RuntimeException:[1336565383535] org.rhq.core.clientapi.agent.PluginContainerException:Failed to add resource with type [JBossAS7 Standalone Server] and parent resource id [10001] -> org.rhq.core.util.exception.WrappedRemotingException:null -> org.rhq.core.util.exception.WrappedRemotingException:Discovery component invocation failed. -> org.rhq.core.util.exception.WrappedRemotingException:null
--- STACK TRACE FOLLOWS ---
[1336565383535] org.rhq.core.clientapi.agent.PluginContainerException:Failed to add resource with type [JBossAS7 Standalone Server] and parent resource id [10001] -> org.rhq.core.util.exception.WrappedRemotingException:null -> org.rhq.core.util.exception.WrappedRemotingException:Discovery component invocation failed. -> org.rhq.core.util.exception.WrappedRemotingException:null
   at Unknown.java_lang_RuntimeException_RuntimeException__V(Unknown Source)
   at Unknown.com_google_gwt_user_client_rpc_core_java_lang_RuntimeException_1FieldSerializer_instantiate__Lcom_google_gwt_user_client_rpc_SerializationStreamReader_2Ljava_lang_RuntimeException_2(Unknown Source)
   at Unknown.com_google_gwt_user_client_rpc_impl_SerializerBase$MethodMap_$instantiate__Lcom_google_gwt_user_client_rpc_impl_SerializerBase$MethodMap_2Lcom_google_gwt_user_client_rpc_SerializationStreamReader_2Ljava_lang_String_2Ljava_lang_Object_2(Unknown Source)
   at Unknown.com_google_gwt_user_client_rpc_impl_SerializerBase_$instantiate__Lcom_google_gwt_user_client_rpc_impl_SerializerBase_2Lcom_google_gwt_user_client_rpc_SerializationStreamReader_2Ljava_lang_String_2Ljava_lang_Object_2(Unknown Source)
   at Unknown.com_google_gwt_user_client_rpc_impl_AbstractSerializationStreamReader_$readObject__Lcom_google_gwt_user_client_rpc_impl_AbstractSerializationStreamReader_2Ljava_lang_Object_2(Unknown Source)
   at Unknown.com_google_gwt_user_client_rpc_impl_RequestCallbackAdapter_$onResponseReceived__Lcom_google_gwt_user_client_rpc_impl_RequestCallbackAdapter_2Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_Response_2V(Unknown Source)
   at Unknown.org_rhq_enterprise_gui_coregui_client_util_rpc_TrackingRequestCallback_onResponseReceived__Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_Response_2V(Unknown Source)
   at Unknown.com_google_gwt_http_client_Request_$fireOnResponseReceived__Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_RequestCallback_2V(Unknown Source)
   at Unknown.com_google_gwt_http_client_RequestBuilder$1_onReadyStateChange__Lcom_google_gwt_xhr_client_XMLHttpRequest_2V(Unknown Source)
   at Unknown.anonymous(Unknown Source)
   at Unknown.com_google_gwt_core_client_impl_Impl_apply__Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2(Unknown Source)
   at Unknown.com_google_gwt_core_client_impl_Impl_entry0__Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2(Unknown Source)
   at Unknown.anonymous(Unknown Source)
   at Unknown.anonymous(Unknown Source)

Steps performed to import the server manually into the inventory:

- go to Inventory->Platforms
- open platform named "localhost"
- open Inventory tab of the platform
- click Import at the bottom, choose "JBossAS7 Standalone Server"
- specify connection information: Hostname: localhost, Port: 9990
- click Finish
- now the import fails and the exception is available at the top
Comment 2 Martin Gencur 2012-05-09 08:15:45 EDT
Created attachment 583256 [details]
Steps performed to test JON with JDG
Comment 3 Martin Gencur 2012-05-09 08:31:38 EDT
Those steps contain version 3.0.0.GA1 at some points but I actually used 3.1.0.GA.
Comment 4 Martin Gencur 2012-05-09 11:18:10 EDT
I was finally able to discover JDG instance in JON automatically but I had to do the following changes:

1) change file bin/product.conf in JDG in the following way -> change slot=jdg to slot=edg , this is due to bug in JBossAS7 plugin for JON which expects slot=edg, we can accomplish the same by renaming JDG server's dir to something that contains "-edg-"

2) add to standalone.xml:

<http-interface security-realm="ManagementRealm">
    <socket-binding http="management-http"/>
</http-interface> 

and create modules/org/jboss/as/domain-http-error-context/jdg module similar to eap module in the same folder

After that, I'm able to discover JDG instance and perform operations like stop,restart,...

However, I'm still not able to see any JMX statistics that should be available via infinispan-rhq-plugin.
Comment 5 Heiko W. Rupp 2012-05-09 15:33:02 EDT
The slot name + directory name fix has been incorporated in RHQ master b8459c0d57e

2) is required for management via RHQ
Comment 6 Tristan Tarrant 2012-05-16 16:18:00 EDT
A new RHQ/JON plugin will be released as part of ER9 that solves this issue
Comment 7 prabhat jha 2012-05-23 14:26:12 EDT
Verified by Martin as seen at https://tcms.engineering.redhat.com/run/39408/ . There is bug reported in JON however, details are at https://bugzilla.redhat.com/show_bug.cgi?id=824474

Note You need to log in before you can comment on or make changes to this bug.